> For the complete documentation index, see [llms.txt](https://docs.exploratory.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.exploratory.io/data_import/extensions/tidyrss.md).

# RSS Data

Allows to get data from RSS feeds.

## 1. Parameters

### 1.1 Feed URL

To get data from [RSS](https://en.wikipedia.org/wiki/RSS) Feed, you need to pass Feed URL (e.g <http://newsrss.bbc.co.uk/rss/newsonline_world_edition/front_page/rss.xml>).

![](/files/-M4oN5cSMR48dh5OeFcK)

## 2. Import

Once you confirmed the query result, click `Import` button to import the data as a data frame in Exploratory. ![](/files/-M4oN5cUoCCWnwK_g0bY)

## 3. Output

* feed\_title - Title of the Feed.
* feed\_link - URL of the Feed Link.
* feed\_description - Description of the Feed.
* feed\_last\_updated - Last Updated Date of the Feed.
* feed\_language - Language used for the Feed. (eg. en-gb)
* item\_title - Title of the Feed Item.
* item\_date\_published - Date on which the Item was published.
* item\_link - URL of the Feed Item.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.exploratory.io/data_import/extensions/tidyrss.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
